{% load static %}
{% load bootstrap5 %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>{% block title %}My Forum{% endblock %}</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
</head>
<body>
    <header>
        <h1>My Forum</h1>

       
    </header>
    {% block sidebar %} 
    <nav class="navbar navbar-expand-lg navbar navbar-light" style="background-color: #e3f2fd;">
      <div class="container">
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav me-auto mb-2 mb-lg-0">
            <li><a class="nav-link active" href="{% url 'category_list' %}">Home</a></li>
            {% if user.is_authenticated %}
            <li class="nav-item">
              <a class="nav-link active" href="{% url 'account_logout' %}">Logout</a>
            </li>
          </ul>
          {% else %}
          <li><a href="{% url 'login' %}">Login</a></li>
                    <li><a href="{% url 'signup' %}">Sign Up</a></li>
                    {% endif %}
          <form class="d-flex">
            <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
            <button class="btn btn-outline-success" type="submit">Search</button>
          </form>
        </div>
      </div>
    </nav>
  {% endblock %}


    <main>
        {% block content %}{% endblock %}
    </main>
    <footer>
        <p>&copy; 2024 My Forum</p>
    </footer>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
</body>
</html>
